package com.iamberry.wechat.core.entity.channel;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import  java.util.Date;
import  java.io.Serializable;
/**
 *  余额变动日志表类
 * @author xm
 * @Date 2018-07-24
 */
public class BalanceLog  implements  Serializable{
    private static final long serialVersionUID = 6537337859070836846L;
    //日志id
    private Integer balanceLogId;
    //渠道id
    private Integer balanceLogChannelId;
    //渠道类型 1:主渠道 2:子渠道
    private Integer balanceLogChannelType;
    //变动前金额
    private Integer balanceLogBeforeAmount;
    //变动后金额
    private Integer balanceLogAfterAmount;
    //变动类型 1:返利 2:提现
    private Integer balanceLogType;
    //金额
    private Integer balanceLogAmount;
    //创建时间
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    private Date balanceLogCreateTime;
    //修改时间'
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    private Date balanceLogUpdateTime;

    public Integer getBalanceLogId(){
        return balanceLogId;
    }

    public void setBalanceLogId(Integer  balanceLogId){
        this.balanceLogId=balanceLogId;
    }

    public Integer getBalanceLogChannelId(){
        return balanceLogChannelId;
    }

    public void setBalanceLogChannelId(Integer  balanceLogChannelId){
        this.balanceLogChannelId=balanceLogChannelId;
    }

    public Integer getBalanceLogChannelType(){
        return balanceLogChannelType;
    }

    public void setBalanceLogChannelType(Integer  balanceLogChannelType){
        this.balanceLogChannelType=balanceLogChannelType;
    }

    public Integer getBalanceLogBeforeAmount(){
        return balanceLogBeforeAmount;
    }

    public void setBalanceLogBeforeAmount(Integer  balanceLogBeforeAmount){
        this.balanceLogBeforeAmount=balanceLogBeforeAmount;
    }

    public Integer getBalanceLogAfterAmount(){
        return balanceLogAfterAmount;
    }

    public void setBalanceLogAfterAmount(Integer  balanceLogAfterAmount){
        this.balanceLogAfterAmount=balanceLogAfterAmount;
    }

    public Integer getBalanceLogType(){
        return balanceLogType;
    }

    public void setBalanceLogType(Integer  balanceLogType){
        this.balanceLogType=balanceLogType;
    }

    public Integer getBalanceLogAmount(){
        return balanceLogAmount;
    }

    public void setBalanceLogAmount(Integer  balanceLogAmount){
        this.balanceLogAmount=balanceLogAmount;
    }

    public Date getBalanceLogCreateTime(){
        return balanceLogCreateTime;
    }

    public void setBalanceLogCreateTime(Date  balanceLogCreateTime){
        this.balanceLogCreateTime=balanceLogCreateTime;
    }

    public Date getBalanceLogUpdateTime(){
        return balanceLogUpdateTime;
    }

    public void setBalanceLogUpdateTime(Date  balanceLogUpdateTime){
        this.balanceLogUpdateTime=balanceLogUpdateTime;
    }
}